Bug 509600 - NFS mounts are dropped after suspend and resume
NFS mounts are dropped after suspend and resume
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-03 18:32 EDT by Bill Davidsen
Modified: 2010-06-28 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 09:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Message log from FC12 beta (3.79 KB, application/octet-stream)
2009-10-21 16:20 EDT, Bill Davidsen
no flags Details
/proc/mounts before suspend (1.52 KB, application/octet-stream)
2010-04-02 17:19 EDT, Bill Davidsen
no flags Details
mounts after resume - nfs mount on /mnt/10space is gone (1.29 KB, application/octet-stream)
2010-04-02 17:20 EDT, Bill Davidsen
no flags Details

  None (edit)
Description Bill Davidsen 2009-07-03 18:32:56 EDT
Description of problem:
NFS mounts are not restored after suspend

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Mount using NFS from any server
Actual results:
Network reconnects, NFS mounts are not preserved
Expected results:
All NFS mounts are remounted, with errors if that can't be done

Additional info:
An NFS mount is durable enough to survive a server reboot, certainly the client should be able to suspend and resume without losing all connections. The network comes back up correctly, so this is not due to network failure.
Comment 1 Christian Iseli 2009-07-04 02:05:16 EDT
Re-assigning to nfs-utils component.  nfswatch is not involved in nfs mounting or suspend/resume activities.
Comment 2 Steve Dickson 2009-07-30 08:56:00 EDT
Is there any messages in /var/log/message telling why the
file system are being unmounted?
Comment 3 Bill Davidsen 2009-10-21 16:20:14 EDT
Created attachment 365598 [details]
Message log from FC12 beta

Log from FC12 beta on x86_64 showing info present after suspend / resume dropped the NFS mounted filesystem.
Comment 4 Steve Dickson 2009-10-23 09:13:55 EDT
Not much there talking about NFS... 

So the file systems are still mounted, meaning
they do exist in /proc/mounts?

If so, what happens when you access them? Is 
anything being logged about not being to access
the server?
Comment 5 Bill Davidsen 2010-04-02 17:19:20 EDT
Created attachment 404237 [details]
/proc/mounts before suspend

The post-suspend file is next
Comment 6 Bill Davidsen 2010-04-02 17:20:48 EDT
Created attachment 404238 [details]
mounts after resume - nfs mount on /mnt/10space is gone

This shows the problem
Comment 7 Bug Zapper 2010-04-27 11:27:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2010-06-28 09:27:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.